* {
    margin: 0; /*убирает внешние отступы для всех элементов страницы*/
    padding: 0; /*убирает внутренние отступы для всех элементов страницы*/
	
}

body {
    font-family: 'Arial', sans-serif;
    background-color: rgb(255, 246, 227);
	font-size: 18px;
}

.header {
	background-color: #fff;
	text-align: center;
	height: 140px;
}

.logo {
    width: 300px;
    padding: 10px 0px;
	margin-bottom: 30px;
}

.logo:hover {
	width: 320px;
	margin-bottom: 26px;
}

.ul-menu {
	list-style: none; /*убираем маркеры списка*/
	margin: 0; /*убираем верхнее и нижнее поле, равное 1em*/
	padding-left: 0; /*убираем левый отступ, равный 40px*/
  }

.ul-menu li {
	display: inline;
	margin: 20px;
}

.mainmenu1 {
    display:block; 
    text-decoration:none; 
    width:300px; 
    height:35px; 
    line-height:35px; 
    text-indent:50px; 
}

.container {
	width: 100%;
	min-height: 100%;
}

.wrap {
    text-align: center;
    padding-top: 40px;
}

.buttons-block {
    text-align: center;
}

.h1-main-page {
    padding: 40px 0;
}

.h1-page-lesson {
	padding: 20px 0px 0px 0px;
}

.h1-name-set {
    color: rgb(20, 25, 235, 0.5);
}

a {
    color: #0000ff;
	text-decoration: none;
}

a:hover {
	color: #014273;
	text-decoration: underline;
	/*font-size: 25px;*/
}

.li1 {
    padding-left:1%;
}

.main-page {
    text-align: center;
}

.block-links-img > a > img:hover {
	opacity: 0.5;
}

/* General button style */
.btn {
	border: none;
	font-size: inherit;
	color: inherit;
	background: none;
	cursor: pointer;
	width: 200px;
	height: 80px;
	display: inline-block;
	margin: 15px 30px;
	text-transform: uppercase;
	letter-spacing: 1px;
	font-weight: 700;
	outline: none;
	position: relative;
	-webkit-transition: all 0.3s;
	-moz-transition: all 0.3s;
	transition: all 0.3s;
}

.btn:after {
	content: '';
	position: absolute;
	z-index: -1;
	-webkit-transition: all 0.3s;
	-moz-transition: all 0.3s;
	transition: all 0.3s;
}

/* Pseudo elements for icons */
.btn:before {
	font-family: 'FontAwesome';
	speak: none;
	font-style: normal;
	font-weight: normal;
	font-variant: normal;
	text-transform: none;
	line-height: 1;
	position: relative;
	-webkit-font-smoothing: antialiased;
}

.btn:focus {
	color: #fff;
	border: 1px solid #fff;
}

/* Button 1 */
.btn-1 {
	background: rgb(20, 25, 235, 0.5);
	color: #fff;
}

.btn-1:hover {
	background: rgb(20, 25, 235);
	color: #fff;
}

.btn-1:active {
	background: rgb(20, 25, 235);
	color: #fff;
	top: 2px;
	border: none;
}

.btn-1:before {
	position: absolute;
	height: 100%;
	left: 0;
	top: 0;
	line-height: 3;
	font-size: 140%;
	width: 60px;
}

/* Button 2 */
.btn-2 {
	background: rgb(24, 231, 119, 0.5);
	color: #fff;
}

.btn-2:hover {
	background: rgb(24, 231, 119);
	color: #fff;
}

.btn-2:active {
	background: rgb(24, 231, 119);
	color: #fff;
	top: 2px;
	border: none;
}

.btn-2:before {
	position: absolute;
	height: 100%;
	left: 0;
	top: 0;
	line-height: 3;
	font-size: 140%;
	width: 60px;
}

/* Button 3 */
.btn-3 {
	background: rgb(229, 26, 136, 0.5);
	color: #fff;
}

.btn-3:hover {
	background: rgb(229, 26, 136);
	color: #fff;
}

.btn-3:active {
	background: rgb(229, 26, 136);
	color: #fff;
	top: 2px;
	border: none;
}

.btn-3:before {
	position: absolute;
	height: 100%;
	left: 0;
	top: 0;
	line-height: 3;
	font-size: 140%;
	width: 60px;
}

.div-btn-lessons {
	text-align: left;
}

.div-btn-lessons form,
.btn-pages-switch form {
	display: inline;
	border: none;
}

.img-find-pair {
	border: 2px solid rgb(255, 246, 227);
	box-shadow: 0 0 10px rgba(0,0,0,0.5);
}

.img-find-pair:hover {
	border: 2px solid rgb(0,0,0,0.5);
	box-shadow: 0 0 10px rgba(0,0,0,0.5);
}

.text-pink {
	color: rgb(229, 26, 136);
}

.block-links-img {
	text-align: center;
	margin-bottom: 60px;
}

.block-with-games {
	margin-top: 20px;
	text-align: center;
}

.block-with-games img {
	width: 300px;
}

.block-grammar {
	margin: 20px auto;
	padding-bottom: 20px;
	border: 1px dashed rgb(24, 231, 119, 0.5);
	width: 90%;
	background-color: #fff;
	color: #000;
}

.h2-grammar {
	color: #000;
	background-color: rgb(24, 231, 119, 0.5);
	margin: 0;
	padding: 10px;
}

.block-grammar p {
	text-align: left;
	margin: 30px;
}

.padding-left-50 {
	padding-left: 50px;
}

.padding-left-80 {
	padding-left: 80px;
}

.img-icons {
	width: 20px;
}

.list-lessons {
	text-align: left;
}

.list-lessons-1,
.list-lessons-2 {
	float: left;
	margin-left: 50px;
	margin-right: 10%;
}

.list-lessons-3 {
	margin-left: 67%;
}

.a-for-lessons {
	font-size: 20px;
	display: block;
}

.a-for-lessons:hover {
	font-size: 20px;
}

.list-challenge-1 {
	float: left;
	margin-left: 50px;
	margin-right: 10%;
}

.list-challenge-2 {
	margin-left: 50%;
}

.main-page p {
	margin: 0 50px;
}

.block-menu-alphabet {
	margin: 50px;
}

/* хлебные крошки_начало кода */
/* стиль списка */
.breadcrumb {
    list-style: none;
    margin-bottom: 30px;
    margin-left: 80px;
	background-color: inherit;
	text-align: left;
}

/* стиль ссылок */
.breadcrumb a {
    color: #0000ff;
    text-decoration: none;
    font-size: 14px;
}

/* Отображение элементов списка бок о бок */
ul.breadcrumb li {
    display: inline;
    font-size: 14px;
}

/* Добавить символ косой черты (/) перед/за каждым элементом списка */
ul.breadcrumb li+li::before {
    padding: 1px;
    color: #01257D;
    content: "/\00a0";
}

.breadcrumb li.breadcrumb-active {
    color: #01257D;
}

strong.style-normal {
    font-weight: normal;
}

/* хлебные крошки_конец кода */

footer {
	background-color: rgb(22, 22, 22);
	color: #f5f3f3;
	padding: 20px;
	text-align: center;
}

.year-in-footer::after {
	content: '2026';
}

.a-for-thanks {
	color: #fff;
	text-decoration: underline;
}

@media only screen and (max-width: 1024px), (max-device-width: 1024px) {

	.img-word {
		width: 100%;
		height: auto;
	}
	
	.list-lessons-2 {
		margin-left: 0;

	}
}

@media only screen and (max-width: 912px), (max-device-width: 912px) {
	
	.list-lessons-2 {
		float: none;
		margin-left: 50px;
	}

	.list-lessons-3 {
		margin-top: 20px;
		margin-left: 50px;
	}
}

@media only screen and (max-width: 820px), (max-device-width: 820px) {
	.list-lessons-2 {
		margin-left: 50px;
	}
}

@media only screen and (max-width: 540px), (max-device-width: 540px) {

	.list-lessons-1,
	.list-lessons-2 {
		float: none;
		margin-left: 50px;
		margin-right: 10%;
	}

	.list-lessons-3 {
		margin-left: 50px;
		margin-top: 0;
		margin-bottom: 0;
	}
	
}